io.vertx.rxjava.ext.web.validation

## Class RequestPredicateResult

- java.lang.Object
- - io.vertx.rxjava.ext.web.validation.RequestPredicateResult

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class RequestPredicateResult
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Result of a `RequestPredicate`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestPredicateResult>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPredicateResult(Object delegate)`
    `RequestPredicateResult(RequestPredicateResult delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `static RequestPredicateResult` | `failed(String message)`
    `RequestPredicateResult` | `getDelegate()`
    `String` | `getErrorMessage()` Get error of failure
    `int` | `hashCode()`
    `static RequestPredicateResult` | `newInstance(RequestPredicateResult arg)`
    `boolean` | `succeeded()` Predicate succeeded
    `static RequestPredicateResult` | `success()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestPredicateResult> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestPredicateResult

          public RequestPredicateResult(RequestPredicateResult delegate)

    - #### RequestPredicateResult

          public RequestPredicateResult(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestPredicateResult getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### succeeded

          public boolean succeeded()

      Predicate succeeded
      Returns:

    - #### getErrorMessage

          public String getErrorMessage()

      Get error of failure
      Returns:

    - #### success

          public static RequestPredicateResult success()

    - #### failed

          public static RequestPredicateResult failed(String message)

    - #### newInstance

          public static RequestPredicateResult newInstance(RequestPredicateResult arg)

Copyright © 2025 Eclipse. All rights reserved.